import { BrowserRouter as Router, Route, Routes } from 'react-router-dom';
import React from 'react';
import ReactDOM from 'react-dom/client';

import { StrictMode } from 'react';
import { Provider } from 'react-redux';

import { store } from '@graphpolaris/shared/lib/data-access/store';
import { GraphPolarisThemeProvider } from '@graphpolaris/shared/lib/data-access/theme';
import App from './app/app';
import LoginPopupComponent from './components/login/popup';
import { CssBaseline } from '@mui/material';
import { createRoot } from 'react-dom/client';

const domNode = document.getElementById('root');

if (domNode) {
  const root = createRoot(domNode);

  console.log(store);
  root.render(
    <Provider store={store}>
      <GraphPolarisThemeProvider>
        <CssBaseline />
        <Router>
          <Routes>
            {/* Route to auth component in popup */}
            <Route path="/auth" element={<LoginPopupComponent />}></Route>
            {/* App */}
            <Route path="/" element={<App />}></Route>
          </Routes>
        </Router>
      </GraphPolarisThemeProvider>
    </Provider>
  );
}
