"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RawJSONVis = void 0;
var store_1 = require("../../data-access/store");
var material_1 = require("@mui/material");
var react_1 = require("react");
var react_json_view_1 = require("react-json-view");
var rawjsonvis_module_scss_1 = require("./rawjsonvis.module.scss");
exports.RawJSONVis = react_1.default.memo(function (props) {
    var graphQueryResult = (0, store_1.useGraphQueryResult)();
    var dispatch = (0, store_1.useAppDispatch)();
    var theme = (0, material_1.useTheme)();
    console.log('update rawjson');
    (0, react_1.useEffect)(function () {
        console.log('update rawjson useEffect');
    }, [graphQueryResult]);
    (0, react_1.useEffect)(function () {
        return function () {
            console.log('unloaded RawJSONVis');
        };
    }, []);
    var loading = props.loading;
    return (<>
      <input onChange={function (v) {
            return dispatch((0, store_1.changePrimary)({ main: v.currentTarget.value }));
        }} type="color" name="head" value={theme.palette.custom.primary.main}/>
      {loading && (<div style={{
                marginTop: '40px',
                paddingLeft: '30px',
            }}>
          <svg className={rawjsonvis_module_scss_1.default.rotating} xmlns="http://www.w3.org/2000/svg" viewBox="0 0 50 50">
            <circle className={rawjsonvis_module_scss_1.default.ring} cx="25" cy="25" r="20"></circle>
            <circle className={rawjsonvis_module_scss_1.default.ball} cx="25" cy="5" r="3.5"></circle>
          </svg>
        </div>)}
      {!loading && (<div style={{ overflowY: 'auto' }}>
          <div style={{
                marginTop: '40px',
                paddingLeft: '30px',
            }}>
            <react_json_view_1.default src={graphQueryResult} collapsed={1} quotesOnKeys={false} displayDataTypes={false}/>
          </div>
        </div>)}
    </>);
});
